Skip to content

Senders, lists, segments, personalization tokens, team and route for the composer

GET
/api/v1/workspaces/{workspace}/composer
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/composer \
--header 'Authorization: Bearer <token>'

Permission: campaigns:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
broadcastRoute
required
object
shares
required
Array<object>
object
adapter
required
string
percent
required
number format: double
planned
required
integer format: int64
provider
required
string
providerId
required
string
sent
required
integer format: int64
short
required
string
source
required
string
Allowed values: campaign rule none
defaultSenderId
string
lists
required
Array<object>
object
count
integer format: int64
id
required
string
name
required
string
members
required
Array<object>
object
email
required
string
name
required
string
postalAddress
required
string
publicUrl
required
string
segments
required
Array<object>
object
count
integer format: int64
id
required
string
name
required
string
senderDomains
required
Array<string>
senders
required
Array<object>
object
domain
required
string
email
required
string
id
required
string
name
required
string
verified
required
boolean
tokens
required
Array<object>
object
fallback
string
key
required
string
kind
required
string
Allowed values: contact custom system referral paid
label
required
string

Example

{
"broadcastRoute": {
"shares": [
{
"adapter": "ses",
"provider": "Amazon SES",
"short": "SES"
}
],
"source": "campaign"
},
"tokens": [
{
"key": "first_name",
"kind": "contact",
"label": "First name"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}